<?php
/**
 * Malf_Form
 * 
 */
class Malf_Form extends Zend_Form
{
    public function errorsToString()
    {
    	$errors = array();
    	if ($this->isErrors()) {
    				
    		$t = Zend_Registry::get('Zend_Translate');	
    		foreach ($this->getErrors() as $k => $v) {
    			if (count($v)) {
    				$help = array();
    				foreach ($v as $i) :
	               		$help[] = $t->translate($i);
	                endforeach;
	                       
	                $errors[$form->getElement($k)->getLabel()] = implode(',', $help);
    			}
    		}
    		
    	}
    	return $errors;
    }
}